LPRng-HOWTO: 15 Oct 2001 (For LPRng-3.7.9)
Prev |  | Next

# Chapter 8. lprm - Job Removal Program

The lprm program is used to remove jobs from a print queue. You can obtain the available options by using:

        h4: {307} % lprm -=
        lprm: Illegal option '='
         usage: lprm [-A] [-a | -Pprinter] [-Ddebuglevel] (jobid|user|'all')*
          -a           - all printers
          -A           - use authentication
          -Pprinter    - printer (default PRINTER environment variable)
          -Uuser       - impersonate this user (root or privileged user only)
          -Ddebuglevel - debug level
          -V           - show version information
          user           removes user jobs
          all            removes all jobs
          jobid          removes job number jobid
         Example:
            'lprm -Plp 30' removes job 30 on printer lp
            'lprm -a'      removes all your jobs on all printers
            'lprm -a all'  removes all jobs on all printers
          Note: lprm removes only jobs for which you have removal permission

# 8.1. lprm Queue Selection (lprm -Pprinter, lprm -a)

If no queue is specified, then the default queue is used, with `-Pprinter@host` causing a direct connection to the named host. The `-a` literal selects all queues.

Prev | Home | Next
Configuring Format and Displayed Information |  | lprm Job Selection